
package com.tmerclub.cloud.user.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.Max;
import jakarta.validation.constraints.Min;

/**
 * 弹窗广告查询dto
 * @author TRACK
 */
public class QueryPopupDTO {

    @Schema(description = "触发页面类型 1.平台首页 2.会员中心 3.支付成功 4.店铺首页 5.商品详情")
    @Max(value = 5)
    @Min(value = 1)
    private Integer pageType;

    @Schema(description = "商品详情页必传 商品id")
    private Long spuId;

    @Schema(description = "游客uuid 未登录时必传")
    private Long uuid;

    @Schema(description = "店铺id 平台为0")
    private Long shopId;

    @Schema(description = "支付成功页必传 订单号")
    private Long orderId;

    @Schema(description = "支付入口 0订单 1充值 2开通会员")
    private Integer payEntry;

    public Integer getPageType() {
        return pageType;
    }

    public void setPageType(Integer pageType) {
        this.pageType = pageType;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getUuid() {
        return uuid;
    }

    public void setUuid(Long uuid) {
        this.uuid = uuid;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Integer getPayEntry() {
        return payEntry;
    }

    public void setPayEntry(Integer payEntry) {
        this.payEntry = payEntry;
    }

    @Override
    public String toString() {
        return "QueryPopupDTO{" +
                "pageType=" + pageType +
                ", spuId=" + spuId +
                ", uuid=" + uuid +
                ", shopId=" + shopId +
                ", orderId=" + orderId +
                ", payEntry=" + payEntry +
                '}';
    }
}
